# dist.mk: Makefile which doesn't require ./configure
# Copied from Makefile.in which is
#   Copyright Andrew Tridgell 1992-1998
#   Copyright Elrond <elrond@samba-tng.org> 2000,2001
#
# Use 'make -f dist.mk TARGET' where TARGET is something like 'clean'

SHELL = /bin/sh
srcdir = .
AUTOCONF = autoconf
AUTOHEADER = autoheader

# default: what was previously in ./autogen.sh
dist.mk_default autogen: $(srcdir)/include/stamp-h.in $(srcdir)/configure

.SUFFIXES:

clean:
	-rm -f core */*~ *~ */*.o */*.po */*.po32 */*.lo */*.so .tmp.*

realclean: clean
	-rm -fr bin config.log script/mkproto

distclean: realclean
	-rm -f include/config.h include/stamp-h Makefile
	-rm -f config.status config.cache so_locations
	-rm -f libtool $(srcdir)/tags $(srcdir)/TAGS
	-rm -fr .deps .proto autom4te.cache
	-rm -f lib/paths.c lib/paths.c.sh
	-rm -f script/samba-init.d

# Certain files are in tarballs but not in CVS.  Use distclean before
# producing a tarball, and cvsclean to get a clean CVS tree.
cvsclean maintainer-clean: distclean
	-rm -f include/pathnames.h
	-rm -f $(srcdir)/aclocal.m4
	-rm -f $(srcdir)/configure $(srcdir)/include/config.h.in
	-rm -f $(srcdir)/include/*proto.h
	-rm -f $(srcdir)/nsswitch/*proto.h $(srcdir)/pam_ntdom/*proto.h
	-rm -f $(srcdir)/nmbd/*proto.h
	-rm -f $(srcdir)/include/stamp-h.in
	-rm -f $(srcdir)/../samba-tng.spec

etags TAGS:
	cd $(srcdir); etags */*.[ch]

ctags tags:
	cd $(srcdir); ctags */*.[ch]

# Generate man pages and HTML docs from YODL source - requires GNU make.
yodldocs:
	@$(MAKE) -C $(srcdir)/../docs

# this target is really just for my use. It only works on a limited
# range of machines and is used to produce a list of potentially
# dead (ie. unused) functions in the code. (tridge)
finddead:
	nm */*.*o > .tmp.nm
	awk '/ U /{print $$2}' < .tmp.nm | sort -u > .tmp.nmused
	awk '/ [CBDRT] /{print $$3}' < .tmp.nm | sort -u > .tmp.nmfns
	comm -13 .tmp.nmused .tmp.nmfns
	rm -f .tmp.nm*

# NOTE: the following also appears in Makefile.in
# when configure.in is updated, reconfigure
$(srcdir)/configure: $(srcdir)/configure.in $(srcdir)/aclocal.m4
	cd $(srcdir) && $(AUTOCONF)

$(srcdir)/include/stamp-h.in: $(srcdir)/configure.in $(srcdir)/acconfig.h
	cd $(srcdir) && $(AUTOHEADER)
	@date -u > $@

ACLOCAL_SOURCES = \
	$(srcdir)/m4/base.m4 \
	$(srcdir)/m4/glib-2.0.m4 \
	$(srcdir)/m4/libtool.m4

$(srcdir)/aclocal.m4: $(ACLOCAL_SOURCES)
	rm -f .tmp.aclocal.m4
	for f in $(ACLOCAL_SOURCES); do \
	  cat $$f; \
	  echo ''; \
	done > .tmp.aclocal.m4
	mv .tmp.aclocal.m4 $@
