/* 
   Unix SMB/Netbios implementation.
   Samba utility functions
   Copyright (C) Elrond                            2001
   
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful, 
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#include "includes.h"
#include "libsamba.h"
#include "rpcclient.h"

extern FILE *out_hnd;


void display_nttime(FILE *out, const char *intro, const NTTIME *nttime)
{
	time_t unix_time = nt_time_to_unix(nttime);
	report(out, "%s", intro);
	report(out, "%s (%08x.%08x)\n",
	       nice_timestring(localtime(&unix_time), NULL, NULL, 0),
	       nttime->high, nttime->low);
}

void show_unistr2(const char *format, const UNISTR2 *uni)
{
	char *str;

	if (uni==NULL)
	{
		report(out_hnd, format, "(NULL)");
		return;
	}
	str = unistr2_to_ascii(NULL, uni, 0);
	report(out_hnd, format, str);
	safe_free(str);
}
