/* 
 *
 *
 *  Copyright (C) Sander Striker                    2000.
 *  
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *  
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software Foundation,
 *  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef DCERPC_TYPES_H
#define DCERPC_TYPES_H

#include "config.h"

#ifndef signed8
#define signed8 char
#endif

#ifndef unsigned8
#define unsigned8 unsigned char
#endif

#if !defined(signed16) && !defined(HAVE_INT16_FROM_RPC_RPC_H)
#if (SIZEOF_SHORT == 4)
#define signed16 __ERROR___CANNOT_DETERMINE_TYPE_FOR_INT16;
#else /* SIZEOF_SHORT != 4 */
#define signed16 short
#endif /* SIZEOF_SHORT != 4 */
#endif

/*
 * Note we duplicate the size tests in the unsigned 
 * case as signed16 may be a typedef from rpc/rpc.h
 */

#if !defined(unsigned16) && !defined(HAVE_UINT16_FROM_RPC_RPC_H)
#if (SIZEOF_SHORT == 4)
#define unsigned16 __ERROR___CANNOT_DETERMINE_TYPE_FOR_UINT16;
#else /* SIZEOF_SHORT != 4 */
#define unsigned16 unsigned short
#endif /* SIZEOF_SHORT != 4 */
#endif

#if !defined(signed32) && !defined(HAVE_INT32_FROM_RPC_RPC_H)
#if (SIZEOF_INT == 4)
#define signed32 int
#elif (SIZEOF_LONG == 4)
#define signed32 long
#elif (SIZEOF_SHORT == 4)
#define signed32 short
#endif
#endif

/*
 * Note we duplicate the size tests in the unsigned 
 * case as signed32 may be a typedef from rpc/rpc.h
 */

#if !defined(unsigned32) && !defined(HAVE_UINT32_FROM_RPC_RPC_H)
#if (SIZEOF_INT == 4)
#define unsigned32 unsigned int
#elif (SIZEOF_LONG == 4)
#define unsigned32 unsigned long
#elif (SIZEOF_SHORT == 4)
#define unsigned32 unsigned short
#endif
#endif

typedef signed8 byte;
typedef signed32 boolean32;
typedef unsigned char unsigned_char_t;

#endif /* DCERPC_TYPES_H */
